Bug 489165 - Missing flexibility in server options to handle some webwhois servers
Missing flexibility in server options to handle some webwhois servers
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 07:54 EDT by Robert Scheck
Modified: 2011-04-05 02:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-03-08 07:54:01 EDT
Description of problem:
I'm missing flexibility in jwhois.conf server options to handle some webwhois 
servers. See the following examples:

I have to handle the following second level domain,

--- snipp ---
"\\.om$" = "www.omnic.om";

"www\\.omnic\\.om" {
  http = "true";
  http-method = "POST";
  http-action = "/onlineUser/whoisMain.jsp";
  query-format = "domainName=${+2}&domainCategory=.om&sourcePage=WHOISLookup";
}
--- snapp ---

but that conflicts with the following top-level-domain, because of the same
server options name which has different parameters in query-format:

--- snipp ---
"\\.co\\.om$" = "www.omnic.om";
"\\.com\\.om$" = "www.omnic.om";
"\\.edu\\.om$" = "www.omnic.om";
"\\.gov\\.om$" = "www.omnic.om";
"\\.med\\.om$" = "www.omnic.om";
"\\.mil\\.om$" = "www.omnic.om";
"\\.net\\.om$" = "www.omnic.om";
"\\.org\\.om$" = "www.omnic.om";

"www\\.omnic\\.om" {
  http = "true";
  http-method = "POST";
  http-action = "/onlineUser/whoisMain.jsp";
  query-format = "domainName=${+3}&domainCategory=.${2}&sourcePage=WHOISLookup";
}
--- snapp ---

I think, we need some kind of regular expressions when using the placeholders 
${} inside of query-format. The issue always comes up, when a domain allows 
registrations under second and third level and has separate input fields in
the webwhois.

Another example:

--- snipp ---
"\\.kg$" = "kynseweb.messagesecure.com";

"kynseweb\\.messagesecure\\.com" {
  http = "true";
  http-method = "POST";
  http-action = "/whois.asp";
  query-format = "domain_name_pref=${+2}&domain_name_suff=.ky";
}
--- snapp ---

But I need the following section in order to handle the third levels correct 
(.org.ky):

--- snipp ---
"\\.com\\.kg$" = "kynseweb.messagesecure.com";
"\\.edu\\.kg$" = "kynseweb.messagesecure.com";
"\\.gov\\.kg$" = "kynseweb.messagesecure.com";
"\\.net\\.kg$" = "kynseweb.messagesecure.com";
"\\.org\\.kg$" = "kynseweb.messagesecure.com";

"kynseweb\\.messagesecure\\.com" {
  http = "true";
  http-method = "POST";
  http-action = "/whois.asp";
  query-format = "domain_name_pref=${+3}&domain_name_suff=.${2-}";
}
--- snapp ---

Maybe they already can unified somehow, but how? I found nothing when having
a looking to the documentation. Ideas? Or do we have to implement something?

An ugly workaround could be some kind of a lynx-wrapper in before, which knows
the worse top-level-domains and handles exactly that using regular expressions.
But I would like to see this sane solved and in jwhois directly. Maybe we can
hack in such a functionality into jwhois?

Version-Release number of selected component (if applicable):
jwhois-4.0-12

How reproducible:
Everytime, see above and below.  

Actual results:
Missing flexibility in server options to handle some webwhois servers

Expected results:
Maybe some regular expression handling or something else to handle second
and third level domains correct.
Comment 1 Robert Scheck 2009-03-22 19:10:59 EDT
And the same issue for official .nr second and third level registrations:

--- snipp ---
"\\.biz\\.nr$" = "www.cenpac.net.nr";
"\\.com\\.nr$" = "www.cenpac.net.nr";
"\\.edu\\.nr$" = "www.cenpac.net.nr";
"\\.gov\\.nr$" = "www.cenpac.net.nr";
"\\.info\\.nr$" = "www.cenpac.net.nr";
"\\.net\\.nr$" = "www.cenpac.net.nr";
"\\.org\\.nr$" = "www.cenpac.net.nr";

"www\\.cenpac\\.net\\.nr" {
  http = "true";
  http-method = "GET";
  http-action = "/dns/whois.html";
  query-format = "subdomain=${+3}&tld=${2-}";
}
--- snapp ---

versus:

--- snipp ---
"\\.nr$" = "www.cenpac.net.nr";

"www\\.cenpac\\.net\\.nr" {
  http = "true";
  http-method = "GET";
  http-action = "/dns/whois.html";
  query-format = "subdomain=${+2}&tld=nr";
}
--- snapp ---

Any ideas?
Comment 2 Bug Zapper 2009-06-09 08:01:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-16 04:51:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-03-15 08:27:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.